Private Key

This screen shows your current private key. Please make a backup copy and store in a safe place. Make sure that nobody can access it - having your private key allows to impersonate you easily. To make a backup copy, please select the Private Key content form the screen, copy to clipboard and save as a .key file. The key should look like the following:

    -----BEGIN RSA PRIVATE KEY-----
    LKDBsyQbae849n5LJuoYXqpfSju15NE5K
    :
    :
    :
    lrNsro4fNmbqMn4+4eBi/tmNc8k0CQDqW
    -----END RSA PRIVATE KEY-----

If the status of your key is different from "Valid", you can either import a backup copy, or generate a new one.

- To import private key from a backup copy, please click on "Import Key"
- To generate a new private key and get a new certificate, please proceed to "Certificate Request" section and follow on-screen directions.